<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/spi.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">spi.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d00/spi_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">   47</a></span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi,</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                  uint32_t u32MasterSlave,</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                  uint32_t u32SPIMode,</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                  uint32_t u32DataWidth,</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                  uint32_t u32BusClock)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>{</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="keywordflow">if</span>(u32DataWidth == 32)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        u32DataWidth = 0;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> = u32MasterSlave | (u32DataWidth &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a94dbdd0b36e57a878893c61b18fbfad6">SPI_CTL_TX_BIT_LEN_Pos</a>) | (u32SPIMode);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="keywordflow">return</span> ( <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a>(spi, u32BusClock) );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">   66</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>{</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">/* Reset SPI */</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordflow">if</span>((uint32_t)spi == <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">SPI0_BASE</a>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3b035be14d9a0eebb5f6d82c322b19c5">SYS_IPRST_CTL2_SPI0_RST_Msk</a>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_SPI0_RST_Msk;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1482bb3099f1650043b226776f9487d5">SYS_IPRST_CTL2_SPI1_RST_Msk</a>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_SPI1_RST_Msk;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">   86</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>{</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ab3862f088926109a21870fae4d99b57c">SPI_FFCTL_RX_CLR_Msk</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>}</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">   96</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>{</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aed340078b444eec6b66fbb502dfe64d8">SPI_FFCTL_TX_CLR_Msk</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>}</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">  106</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>{</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a> &amp;= ~SPI_SSR_AUTOSS_Msk;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>}</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">  122</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>{</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a> = (spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a> &amp; ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)) | (u32SSPinMask | u32ActiveLevel) | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>}</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">  133</a></span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>{</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    uint32_t u32ClkSrc, u32Div = 0;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <span class="keywordflow">if</span>(spi == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">SPI0</a>)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span>((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gaf70b7895cc025ff3581278f6af4b62b9">CLK_CLKSEL2_SPI0_S_Msk</a>) == <a class="code hl_define" href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga66e079ad947a57568ac97d664878e23e">CLK_CLKSEL2_SPI0_S_HCLK</a>)</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a>();</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">if</span>((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gafc7fbca6226126adda49f509be686375">CLK_CLKSEL2_SPI1_S_Msk</a>) == <a class="code hl_define" href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ab435fa967f10af0997d3d51b95fc7f">CLK_CLKSEL2_SPI1_S_HCLK</a>)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a>();</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="keywordflow">if</span>(u32BusClock &gt; u32ClkSrc)</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        u32BusClock = u32ClkSrc;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="keywordflow">if</span>(u32BusClock != 0 )</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        u32Div = (u32ClkSrc / u32BusClock) - 1;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">if</span>(u32Div &gt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7f0e465ec51f5ef116227dd4cbea2295">SPI_CLKDIV_DIVIDER1_Msk</a>)</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            u32Div = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7f0e465ec51f5ef116227dd4cbea2295">SPI_CLKDIV_DIVIDER1_Msk</a>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6ea1e761f8c180884bc051c73db22e13">CLKDIV</a> = (spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6ea1e761f8c180884bc051c73db22e13">CLKDIV</a> &amp; ~SPI_CLKDIV_DIVIDER1_Msk) | u32Div;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    <span class="keywordflow">return</span> ( u32ClkSrc / (u32Div+1) );</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>}</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">  176</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>{</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> = ( (spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> &amp; (~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a109273e1a2c84c0c6e62d5a833d8a81b">SPI_FFCTL_TX_THRESHOLD_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac83c8eef580457903a81d733f8fc295c">SPI_FFCTL_RX_THRESHOLD_Msk</a>))) |</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                  (u32TxThreshold &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad066fc33774f40417a8ce53047c35321">SPI_FFCTL_TX_THRESHOLD_Pos</a>) |</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                  (u32RxThreshold &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a196c738c33772ccdc378590c1e6ab6a0">SPI_FFCTL_RX_THRESHOLD_Pos</a>) );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#acf1db8f6625afe986cc757de4cfabd2f">SPI_CTL_FIFOM_Msk</a>;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>}</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">  190</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>{</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> &amp;= ~SPI_CTL_FIFOM_Msk;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>}</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">  200</a></span>uint32_t <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>{</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    uint32_t u32Div;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    uint32_t u32ClkSrc;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    <span class="keywordflow">if</span>(spi == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">SPI0</a>)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <span class="keywordflow">if</span>((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gaf70b7895cc025ff3581278f6af4b62b9">CLK_CLKSEL2_SPI0_S_Msk</a>) == <a class="code hl_define" href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga66e079ad947a57568ac97d664878e23e">CLK_CLKSEL2_SPI0_S_HCLK</a>)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a>();</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">if</span>((<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;CLKSEL2 &amp; <a class="code hl_define" href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gafc7fbca6226126adda49f509be686375">CLK_CLKSEL2_SPI1_S_Msk</a>) == <a class="code hl_define" href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ab435fa967f10af0997d3d51b95fc7f">CLK_CLKSEL2_SPI1_S_HCLK</a>)</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            u32ClkSrc = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a>();</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    u32Div = spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6ea1e761f8c180884bc051c73db22e13">CLKDIV</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7f0e465ec51f5ef116227dd4cbea2295">SPI_CLKDIV_DIVIDER1_Msk</a>;</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    <span class="keywordflow">return</span> (u32ClkSrc / (u32Div + 1));</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>}</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">  238</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>{</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>)</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a730d3a8bbcaddf2620b60b5ae2532bde">SPI_CTL_INTEN_Msk</a>;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a79b03318e0c3d64b4a40cf3d5b8131b1">SPI_SSR_SSTA_INTEN_Msk</a>;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span> </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a5251f821aba152f2aa8515d9a5f9378c">SPI_FFCTL_TX_INTEN_Msk</a>;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a36b9f93b23a5bbf32b0072d1d812a8f2">SPI_FFCTL_RX_INTEN_Msk</a>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a>)</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6a1aace15e3d4d378b17100194d6a4ab">SPI_FFCTL_RXOVR_INTEN_Msk</a>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>)</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa478af53b5261d7ffbf0322596a22f06">SPI_FFCTL_TIMEOUT_EN_Msk</a>;</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>}</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span> </div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">  273</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>{</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>)</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> &amp;= ~SPI_CTL_INTEN_Msk;</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>)</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SSR</a> &amp;= ~SPI_SSR_SSTA_INTEN_Msk;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span> </div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> &amp;= ~SPI_FFCTL_TX_INTEN_Msk;</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span> </div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> &amp;= ~SPI_FFCTL_RX_INTEN_Msk;</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a>)</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> &amp;= ~SPI_FFCTL_RXOVR_INTEN_Msk;</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>) == <a class="code hl_define" href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>)</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>        spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">FFCTL</a> &amp;= ~SPI_FFCTL_TIMEOUT_EN_Msk;</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>}</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span> </div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">  299</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">SPI_EnableWakeup</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>{</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a16b3b4d9f5db720f844942c31e5628e7">SPI_CTL_WKEUP_EN_Msk</a>;</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>}</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span> </div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno"><a class="line" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">  309</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">SPI_DisableWakeup</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>{</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>    spi-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">CTL</a> &amp;= ~SPI_CTL_WKEUP_EN_Msk;</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>}</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span> <span class="comment">/* end of group NANO1X2_SPI_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span> <span class="comment">/* end of group NANO1X2_SPI_Driver */</span></div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span> </div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a109273e1a2c84c0c6e62d5a833d8a81b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a109273e1a2c84c0c6e62d5a833d8a81b">SPI_FFCTL_TX_THRESHOLD_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_TX_THRESHOLD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09015">Nano1X2Series.h:9015</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a1482bb3099f1650043b226776f9487d5"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a1482bb3099f1650043b226776f9487d5">SYS_IPRST_CTL2_SPI1_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_SPI1_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03675">Nano1X2Series.h:3675</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a16b3b4d9f5db720f844942c31e5628e7"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a16b3b4d9f5db720f844942c31e5628e7">SPI_CTL_WKEUP_EN_Msk</a></div><div class="ttdeci">#define SPI_CTL_WKEUP_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08898">Nano1X2Series.h:8898</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a196c738c33772ccdc378590c1e6ab6a0"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a196c738c33772ccdc378590c1e6ab6a0">SPI_FFCTL_RX_THRESHOLD_Pos</a></div><div class="ttdeci">#define SPI_FFCTL_RX_THRESHOLD_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09011">Nano1X2Series.h:9011</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a36b9f93b23a5bbf32b0072d1d812a8f2"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a36b9f93b23a5bbf32b0072d1d812a8f2">SPI_FFCTL_RX_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_RX_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09000">Nano1X2Series.h:9000</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3b035be14d9a0eebb5f6d82c322b19c5"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3b035be14d9a0eebb5f6d82c322b19c5">SYS_IPRST_CTL2_SPI0_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_SPI0_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03672">Nano1X2Series.h:3672</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a4d0ff5ea2d8b54bc0c0903edfa392906"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a></div><div class="ttdeci">#define SPI_SSR_SSR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08946">Nano1X2Series.h:8946</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a5251f821aba152f2aa8515d9a5f9378c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a5251f821aba152f2aa8515d9a5f9378c">SPI_FFCTL_TX_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_TX_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09003">Nano1X2Series.h:9003</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a6a1aace15e3d4d378b17100194d6a4ab"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a6a1aace15e3d4d378b17100194d6a4ab">SPI_FFCTL_RXOVR_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_RXOVR_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09006">Nano1X2Series.h:9006</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a730d3a8bbcaddf2620b60b5ae2532bde"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a730d3a8bbcaddf2620b60b5ae2532bde">SPI_CTL_INTEN_Msk</a></div><div class="ttdeci">#define SPI_CTL_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08874">Nano1X2Series.h:8874</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a74835feceed72dcec4ce2d552625a7e3"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a></div><div class="ttdeci">#define SPI_SSR_AUTOSS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08952">Nano1X2Series.h:8952</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a79b03318e0c3d64b4a40cf3d5b8131b1"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a79b03318e0c3d64b4a40cf3d5b8131b1">SPI_SSR_SSTA_INTEN_Msk</a></div><div class="ttdeci">#define SPI_SSR_SSTA_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08964">Nano1X2Series.h:8964</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7f0e465ec51f5ef116227dd4cbea2295"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7f0e465ec51f5ef116227dd4cbea2295">SPI_CLKDIV_DIVIDER1_Msk</a></div><div class="ttdeci">#define SPI_CLKDIV_DIVIDER1_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08940">Nano1X2Series.h:8940</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a94dbdd0b36e57a878893c61b18fbfad6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a94dbdd0b36e57a878893c61b18fbfad6">SPI_CTL_TX_BIT_LEN_Pos</a></div><div class="ttdeci">#define SPI_CTL_TX_BIT_LEN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08861">Nano1X2Series.h:8861</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa478af53b5261d7ffbf0322596a22f06"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa478af53b5261d7ffbf0322596a22f06">SPI_FFCTL_TIMEOUT_EN_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_TIMEOUT_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09009">Nano1X2Series.h:9009</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ab3862f088926109a21870fae4d99b57c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ab3862f088926109a21870fae4d99b57c">SPI_FFCTL_RX_CLR_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_RX_CLR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08994">Nano1X2Series.h:8994</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac83c8eef580457903a81d733f8fc295c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac83c8eef580457903a81d733f8fc295c">SPI_FFCTL_RX_THRESHOLD_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_RX_THRESHOLD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09012">Nano1X2Series.h:9012</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ace3f423d206a3b88ee42f78cd4bb5b08"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a></div><div class="ttdeci">#define SPI_SSR_SS_LVL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08949">Nano1X2Series.h:8949</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_acf1db8f6625afe986cc757de4cfabd2f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#acf1db8f6625afe986cc757de4cfabd2f">SPI_CTL_FIFOM_Msk</a></div><div class="ttdeci">#define SPI_CTL_FIFOM_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08883">Nano1X2Series.h:8883</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad066fc33774f40417a8ce53047c35321"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad066fc33774f40417a8ce53047c35321">SPI_FFCTL_TX_THRESHOLD_Pos</a></div><div class="ttdeci">#define SPI_FFCTL_TX_THRESHOLD_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09014">Nano1X2Series.h:9014</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aed340078b444eec6b66fbb502dfe64d8"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aed340078b444eec6b66fbb502dfe64d8">SPI_FFCTL_TX_CLR_Msk</a></div><div class="ttdeci">#define SPI_FFCTL_TX_CLR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08997">Nano1X2Series.h:8997</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga3ab435fa967f10af0997d3d51b95fc7f"><div class="ttname"><a href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ab435fa967f10af0997d3d51b95fc7f">CLK_CLKSEL2_SPI1_S_HCLK</a></div><div class="ttdeci">#define CLK_CLKSEL2_SPI1_S_HCLK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00168">clk.h:168</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga66e079ad947a57568ac97d664878e23e"><div class="ttname"><a href="../../d5/d2d/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga66e079ad947a57568ac97d664878e23e">CLK_CLKSEL2_SPI0_S_HCLK</a></div><div class="ttdeci">#define CLK_CLKSEL2_SPI0_S_HCLK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d89/clk_8h_source.html#l00171">clk.h:171</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27ded0f4435751be979927718884488f"><div class="ttname"><a href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetHCLKFreq(void)</div><div class="ttdoc">This function get HCLK frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00192">clk.c:192</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf42f850d36900fcf77e4643f2db5470b"><div class="ttname"><a href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a></div><div class="ttdeci">uint32_t CLK_GetPLLClockFreq(void)</div><div class="ttdoc">This function get PLL frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00228">clk.c:228</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_gaf70b7895cc025ff3581278f6af4b62b9"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gaf70b7895cc025ff3581278f6af4b62b9">CLK_CLKSEL2_SPI0_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL2_SPI0_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01610">Nano1X2Series.h:1610</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___definitions_html_gafc7fbca6226126adda49f509be686375"><div class="ttname"><a href="../../da/d80/group___n_a_n_o1_x2___definitions.html#gafc7fbca6226126adda49f509be686375">CLK_CLKSEL2_SPI1_S_Msk</a></div><div class="ttdeci">#define CLK_CLKSEL2_SPI1_S_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l01613">Nano1X2Series.h:1613</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10651">Nano1X2Series.h:10651</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gaf26e39c91b262cc480085abcc450d3d5"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf26e39c91b262cc480085abcc450d3d5">SPI0</a></div><div class="ttdeci">#define SPI0</div><div class="ttdoc">Pointer to SPI0 register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10639">Nano1X2Series.h:10639</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p_html_gadeaa49ab944c7dcae2a868b0450232c8"><div class="ttname"><a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gadeaa49ab944c7dcae2a868b0450232c8">SPI0_BASE</a></div><div class="ttdeci">#define SPI0_BASE</div><div class="ttdoc">SPI0 register base address.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10588">Nano1X2Series.h:10588</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga40af81a5621db7a8b7883fff421a65b7"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_TIMEOUT_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00055">spi.h:55</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga529ec79afe2917ac1973fde46dfedc54"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_RX_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00053">spi.h:53</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga7fec9626224f4bf31a1d318f2fea412c"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a></div><div class="ttdeci">#define SPI_SSTA_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00051">spi.h:51</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaaa0d3769c378f99dc6e3e278b783f449"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_TX_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00052">spi.h:52</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafcdee9562fdac3dc6db5dbd67f53b4fa"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a></div><div class="ttdeci">#define SPI_IE_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00050">spi.h:50</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaffe1b232d0a5b281022046166f5234fd"><div class="ttname"><a href="../../d5/d46/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffe1b232d0a5b281022046166f5234fd">SPI_FIFO_RXOVR_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_RXOVR_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00054">spi.h:54</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0450c2c279d9f5254f172d3a6fd7f47b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a></div><div class="ttdeci">void SPI_DisableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Disable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00273">spi.c:273</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38d6219787921363efa7dcd46fdb6846"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a></div><div class="ttdeci">void SPI_DisableFIFO(SPI_T *spi)</div><div class="ttdoc">Disable FIFO mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00190">spi.c:190</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d27a219e6d7e2c767775a2ed26fbc4b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a></div><div class="ttdeci">void SPI_EnableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Enable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00238">spi.c:238</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga55b31f9a751c6e784ad0022bc9155153"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a></div><div class="ttdeci">void SPI_EnableAutoSS(SPI_T *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div><div class="ttdoc">Enable the automatic slave select function. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00122">spi.c:122</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58733a1f2730db4943ee270c5aad39ba"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a></div><div class="ttdeci">void SPI_EnableFIFO(SPI_T *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div><div class="ttdoc">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00176">spi.c:176</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58b7eef9f93f8c3d3818d1a4b74f5be6"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a></div><div class="ttdeci">void SPI_DisableAutoSS(SPI_T *spi)</div><div class="ttdoc">Disable the automatic slave select function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00106">spi.c:106</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7cee248bcbe05dfae8ab8b3bf89e8f13"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a></div><div class="ttdeci">uint32_t SPI_SetBusClock(SPI_T *spi, uint32_t u32BusClock)</div><div class="ttdoc">Set the SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00133">spi.c:133</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8074f716aa1c65ecc93d79062b5d4b1b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a></div><div class="ttdeci">void SPI_Close(SPI_T *spi)</div><div class="ttdoc">Reset SPI module and disable SPI peripheral clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00066">spi.c:66</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9f6203152d82e50dc0a0f8257bf862cb"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9f6203152d82e50dc0a0f8257bf862cb">SPI_EnableWakeup</a></div><div class="ttdeci">void SPI_EnableWakeup(SPI_T *spi)</div><div class="ttdoc">Enable wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00299">spi.c:299</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad1c25325aceb6a6ed417055225aff01b"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a></div><div class="ttdeci">void SPI_ClearTxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Tx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00096">spi.c:96</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad923655d26fb14da88c61d4ed0125c44"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a></div><div class="ttdeci">uint32_t SPI_Open(SPI_T *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</div><div class="ttdoc">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00047">spi.c:47</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae3a43e332cf4de4b416980eeab502d07"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a></div><div class="ttdeci">uint32_t SPI_GetBusClock(SPI_T *spi)</div><div class="ttdoc">Get the actual frequency of SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00200">spi.c:200</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae59c481764af06e5512f4416a91c5da2"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a></div><div class="ttdeci">void SPI_ClearRxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Rx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00086">spi.c:86</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf84c991f91bd473bf678093435ff51a5"><div class="ttname"><a href="../../de/d5f/group___n_a_n_o1_x2___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf84c991f91bd473bf678093435ff51a5">SPI_DisableWakeup</a></div><div class="ttdeci">void SPI_DisableWakeup(SPI_T *spi)</div><div class="ttdoc">Disable wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00309">spi.c:309</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga069fd6acdea1842f24bba35267ff3ea5"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga069fd6acdea1842f24bba35267ff3ea5">SPI_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08551">Nano1X2Series.h:8551</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4cd9a89d3d1c7a3a6f3e3c5c4beb0727">SPI_T::FFCTL</a></div><div class="ttdeci">__IO uint32_t FFCTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08842">Nano1X2Series.h:8842</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga6ea1e761f8c180884bc051c73db22e13"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga6ea1e761f8c180884bc051c73db22e13">SPI_T::CLKDIV</a></div><div class="ttdeci">__IO uint32_t CLKDIV</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08625">Nano1X2Series.h:8625</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gacd5d65619694a5df1436bb9bc1f548d4"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd5d65619694a5df1436bb9bc1f548d4">SPI_T::SSR</a></div><div class="ttdeci">__IO uint32_t SSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08685">Nano1X2Series.h:8685</a></div></div>
<div class="ttc" id="astruct_s_p_i___t_html"><div class="ttname"><a href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08460">Nano1X2Series.h:8461</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
